module.exports = function(grunt){

	grunt.initConfig({

		sass: {											// Task 
			dist: {										// Target 			 
			  files: {									// Dictionary of files 
				'asset/css/common.css': 'asset/sass/common.scss',					// 'destination': 'source' 			
			  }
			}
		},
		concat: {	
			js: {
				src: ['asset/js/common.js', 'asset/js/js1.js' ],
				dest: 'build/js/scripts.js',
			},
			css: {
				src: ['asset/css/base.css', 'asset/css/common.css'],
			  	dest:'build/css/styles.css',
			},
		},
		cssmin: {
			target: {
				files: [{
				  expand: true,
				  cwd: 'build/css',
				  src: ['*.css', '!*.min.css'],
				  dest: 'build/css',
				  ext: '.min.css'
				}]
			}
		},
		uglify: {
			target: {
				files: [{
					expand: true,
					cwd: 'build/js',
					src: ['*.js', '!*.min.js'],
					dest: 'build/js',
					ext: '.min.js'
				}]
			}
		},
  		watch: {
			sass: {
			    files: ['asset/sass/**/*.scss'],
			    tasks: ['sass:dist'],
			},
			js: {
			    files: ['asset/js/**/*.js'],
			    tasks: ['concat:js'],
			},
			css: {
			    files: ['asset/css/**/*.css'],
			    tasks: ['concat:css'],
			},	 
			cssmin: {
			    files: ['build/css/**/*.css'],
			    tasks: ['cssmin:target'],
			},
			uglify: {
			    files: ['build/js/**/*.js'],
			    tasks: ['uglify:target'],
			},
		},

	});
	

	grunt.loadNpmTasks('grunt-contrib-sass');			// sass 실행
	grunt.loadNpmTasks('grunt-contrib-concat');			// 컴파일
	grunt.loadNpmTasks('grunt-contrib-cssmin');			// cssmin 실행
	grunt.loadNpmTasks('grunt-contrib-uglify');			// uglify 실행 ( min.js )
	grunt.loadNpmTasks('grunt-contrib-watch');			// 컴파일 자동
	grunt.registerTask('default', ['sass', 'concat', 'cssmin', 'uglify', 'watch']);




};